API reference
All operations
INSPECTION

Creates a new inspection record.

POST/api/v2/inspections/record

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/jsonrequired
CreateInspectionRequest
  • recordTypestring

    Record Type to create the inspection.

  • recordIdinteger · int32

    Record ID to create the inspection.

  • inspectionIdinteger · int32

    Inspection id to create the inspection.

  • The inspection's groups.

  • companyIdinteger · int32

    Company ID associated with this inspection.

  • mobileAssignedInspectionIdstring

    Mobile application-specific inspection ID.

  • contactIdinteger · int32

    Contact ID related to this inspection.

  • userIdinteger · int32

    User id related to this inspection.

  • inspectionNamestring

    The name of the inspection.

  • inspectionTypestring

    The type of the inspection.

  • inspectionNostringnullable

    The inspection number.

  • inspectionDatestring · date

    The date when inspection is created.

  • inspectionHoursstring

    Inspection hours

  • commentsstringnullable
  • completeboolean

    Complete status of the inspection

  • statusstring

    Status of the inspection at the time of submission

  • sourcestring

    Source of the inspection

  • serviceIdinteger · int32

    Service that is related to the inspection

  • inventoryRequestIDinteger · int32nullable

Responses

Inspection created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataRecordAssignedInspectionDto
  • assignedInspectionIdinteger · int32
  • inspectionIdinteger · int32
  • recordIdinteger · int32
  • serviceIdinteger · int32
  • recordTypestring
  • makestring
  • modelstring
  • serialNostring
  • stockNostring
  • vehicleNostring
  • isMachinebooleannullable
  • companyIdinteger · int32
  • companyNamestring
  • contactIdinteger · int32
  • contactstring
  • userIdinteger · int32
  • repstring
  • inspectionStagestring
  • statusstring
  • inspectionNamestring
  • inspectionTypestring
  • inspectionNostring
  • inspectionDatestring · date
  • inspectionHoursnumber · double
  • commentsstring
  • completeboolean
  • sourcestring
  • deletedboolean
  • includeReconditionAmountboolean
  • identifierstring · uuidnullable
  • enterByinteger · int32
  • mobileAssignedInspectionIdstringnullable
  • publicViewUrlstringnullable
  • brokerViewUrlstringnullable
  • isTradeValuationboolean
  • tradeValuenumber · doublenullable
  • customerOffernumber · doublenullable
  • tradeCommentsstringnullable
  • tradeStatusstringnullable